<?php
include '../../INCLUDE/MySQL_include_param_dbb.php';
include '../../INCLUDE/MySQL_include_sprog_commun_shell.php';
setlocale (LC_ALL, 'fr_FR.UTF-8');
try {
 // === connexion de la base de données ===
 $bdd = new PDO($TYPE_DBB.":host=".$SERVEUR.";dbname=".$BASEDD,$LOGIN_ADM,$MDP_ADM,
        array(PDO::ATTR_PERSISTENT => true));
 // --- définition du codage en UTF8 ---
 $bdd->exec("SET CHARACTER SET utf8");     
 // --- exécution de la requête ---
 $reponse = $bdd->query('SELECT cb.ID_Clt,cl.Nom,cl.Prenom,ROUND(SUM(cb.Solde),2) Solde_Total FROM comptes_bancaires cb INNER JOIN clients_bancaires cl ON cb.ID_Clt=cl.ID_Clt GROUP BY cb.ID_Clt');
 // --- traitement des erreurs de retour sur la requête ---
 if (!$reponse)
     throw new Exception('Problème de requête sur la table.');
 // ---retourne un tableau associatif ---
 $reponse->setFetchMode(PDO::FETCH_ASSOC); 
 // --- boucle de traitement de chaque client --- 
 $tab_clients=$reponse->fetchAll();
 // --- affichage des données retournées ---
 affichage_liste_personnes("Solde total par propriétaire",$tab_clients);
 // --- fermeture de la requête ---
 // --- pour permettre d'autres requêtes ---
 $reponse->closeCursor();
 // === fermeture de la connexion à la base de données ===
 $bdd = NULL;
}
catch(Exception $e) {
 echo 'Erreur : '.$e->getMessage();
}
?>

